List Tags
curl --request GET \
--url https://api.us.lexful.app/v1/tags \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-ID: <api-key>'import requests
url = "https://api.us.lexful.app/v1/tags"
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Account-ID': '<api-key>'}
};
fetch('https://api.us.lexful.app/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_system": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"color": "<string>",
"restricted": true,
"asset_types": [
"<string>"
],
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Tags
List Tags
List all tags with optional filters and pagination
GET
/
v1
/
tags
List Tags
Authorizations
Bearer token
Account ID
Query Parameters
Filter by name (partial match, case-insensitive)
Filter by parent tag ID (use "null" string for root tags)
Filter for parent tags (true) or leaf tags (false)
Filter by system tags
Filter by restricted tags
Filter tags applicable to a specific asset type name
Include soft-deleted tags
Required range:
1 <= x <= 1000Required range:
x >= 0Comma-separated fields to sort by (e.g., "name,created_at")
Comma-separated sort directions - ASC or DESC (e.g., "ASC,DESC")
Was this page helpful?
⌘I